<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="17701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17703"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="Roboto-Medium.ttf">
            <string>Roboto-Medium</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="pz9-g4-BMn" customClass="AddReviewView" customModule="Snagpay" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" alpha="0.60000002384185791" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Yyg-Z1-gy7">
                    <rect key="frame" x="0.0" y="44" width="414" height="818"/>
                    <color key="backgroundColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <connections>
                        <action selector="btnTransparent:" destination="pz9-g4-BMn" eventType="touchUpInside" id="g2Y-cS-iIi"/>
                    </connections>
                </button>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="x6K-JT-ZMo">
                    <rect key="frame" x="5" y="256.5" width="404" height="383.5"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Write Review" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="sPC-uI-E2A">
                            <rect key="frame" x="15" y="24" width="339" height="23.5"/>
                            <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="20"/>
                            <color key="textColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <nil key="highlightedColor"/>
                            <variation key="heightClass=regular-widthClass=regular">
                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="23"/>
                            </variation>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Zn3-EP-ZTD">
                            <rect key="frame" x="369" y="25.5" width="20" height="20"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="20" id="Lft-tb-ze0">
                                    <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                                </constraint>
                                <constraint firstAttribute="width" constant="20" id="M4L-kQ-Now">
                                    <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                                </constraint>
                            </constraints>
                            <state key="normal" image="cancel"/>
                            <connections>
                                <action selector="btnTransparent:" destination="pz9-g4-BMn" eventType="touchUpInside" id="vSA-y1-hAV"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="3Ff-Fu-4VT">
                            <rect key="frame" x="25" y="325.5" width="354" height="40"/>
                            <color key="backgroundColor" name="blue"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="40" id="iKy-dj-FDG">
                                    <variation key="heightClass=regular-widthClass=regular" constant="50"/>
                                </constraint>
                            </constraints>
                            <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="17"/>
                            <state key="normal" title="SUBMIT">
                                <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            </state>
                            <variation key="heightClass=regular-widthClass=regular">
                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="20"/>
                            </variation>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="8qW-id-GBp">
                            <rect key="frame" x="10" y="71.5" width="384" height="1"/>
                            <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="Ycc-Cg-7tJ"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Nan-YW-jMM" customClass="CosmosView" customModule="Cosmos">
                            <rect key="frame" x="92" y="107.5" width="220" height="40"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="image" keyPath="filledImage" value="fill_star"/>
                                <userDefinedRuntimeAttribute type="image" keyPath="emptyImage" value="star"/>
                                <userDefinedRuntimeAttribute type="number" keyPath="totalStars">
                                    <integer key="value" value="5"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="number" keyPath="starSize">
                                    <real key="value" value="40"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="number" keyPath="rating">
                                    <real key="value" value="0.0"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                        </view>
                        <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" textAlignment="natural" translatesAutoresizingMaskIntoConstraints="NO" id="QZV-bI-dC8">
                            <rect key="frame" x="25" y="182.5" width="354" height="128"/>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="128" id="ZUa-d2-Kcg"/>
                            </constraints>
                            <color key="textColor" systemColor="labelColor"/>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                        </textView>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="8qW-id-GBp" secondAttribute="trailing" constant="10" id="28a-js-FlJ"/>
                        <constraint firstItem="QZV-bI-dC8" firstAttribute="leading" secondItem="3Ff-Fu-4VT" secondAttribute="leading" id="46i-r4-ePy"/>
                        <constraint firstItem="sPC-uI-E2A" firstAttribute="leading" secondItem="x6K-JT-ZMo" secondAttribute="leading" constant="15" id="CKQ-34-5eM">
                            <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                        </constraint>
                        <constraint firstItem="QZV-bI-dC8" firstAttribute="trailing" secondItem="3Ff-Fu-4VT" secondAttribute="trailing" id="HhY-He-8Dr"/>
                        <constraint firstItem="QZV-bI-dC8" firstAttribute="top" secondItem="Nan-YW-jMM" secondAttribute="bottom" constant="35" id="Rdu-BN-C5x"/>
                        <constraint firstAttribute="bottom" secondItem="3Ff-Fu-4VT" secondAttribute="bottom" constant="18" id="SWp-iR-gv8"/>
                        <constraint firstItem="Zn3-EP-ZTD" firstAttribute="leading" secondItem="sPC-uI-E2A" secondAttribute="trailing" constant="15" id="Sey-ty-9Uo"/>
                        <constraint firstItem="8qW-id-GBp" firstAttribute="leading" secondItem="x6K-JT-ZMo" secondAttribute="leading" constant="10" id="ir8-Oe-r3V"/>
                        <constraint firstAttribute="trailing" secondItem="3Ff-Fu-4VT" secondAttribute="trailing" constant="25" id="qaJ-w0-Ha5">
                            <variation key="heightClass=regular-widthClass=regular" constant="35"/>
                        </constraint>
                        <constraint firstItem="3Ff-Fu-4VT" firstAttribute="top" secondItem="QZV-bI-dC8" secondAttribute="bottom" constant="15" id="rF4-WB-WmL"/>
                        <constraint firstItem="3Ff-Fu-4VT" firstAttribute="leading" secondItem="x6K-JT-ZMo" secondAttribute="leading" constant="25" id="rbe-OE-Dh8">
                            <variation key="heightClass=regular-widthClass=regular" constant="35"/>
                        </constraint>
                        <constraint firstItem="Nan-YW-jMM" firstAttribute="centerX" secondItem="x6K-JT-ZMo" secondAttribute="centerX" id="sgC-Jl-FAm"/>
                        <constraint firstItem="Nan-YW-jMM" firstAttribute="top" secondItem="8qW-id-GBp" secondAttribute="bottom" constant="35" id="tCD-wn-jkn"/>
                        <constraint firstItem="Zn3-EP-ZTD" firstAttribute="centerY" secondItem="sPC-uI-E2A" secondAttribute="centerY" id="tMq-Om-66x"/>
                        <constraint firstAttribute="trailing" secondItem="Zn3-EP-ZTD" secondAttribute="trailing" constant="15" id="vNu-lM-2Zv">
                            <variation key="heightClass=regular-widthClass=regular" constant="25"/>
                        </constraint>
                        <constraint firstItem="sPC-uI-E2A" firstAttribute="top" secondItem="x6K-JT-ZMo" secondAttribute="top" constant="24" id="xq1-0O-dJ1"/>
                        <constraint firstItem="8qW-id-GBp" firstAttribute="top" secondItem="sPC-uI-E2A" secondAttribute="bottom" constant="24" id="ya9-Ea-7OC"/>
                    </constraints>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                            <integer key="value" value="10"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Ee9-xQ-Q2f"/>
            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="x6K-JT-ZMo" firstAttribute="centerX" secondItem="pz9-g4-BMn" secondAttribute="centerX" id="3QD-JB-LSz"/>
                <constraint firstItem="x6K-JT-ZMo" firstAttribute="centerY" secondItem="pz9-g4-BMn" secondAttribute="centerY" id="AxL-dA-tgp"/>
                <constraint firstItem="Ee9-xQ-Q2f" firstAttribute="bottom" secondItem="Yyg-Z1-gy7" secondAttribute="bottom" id="SJc-6p-kqw"/>
                <constraint firstItem="Yyg-Z1-gy7" firstAttribute="leading" secondItem="Ee9-xQ-Q2f" secondAttribute="leading" id="Wis-b5-YYI"/>
                <constraint firstItem="Ee9-xQ-Q2f" firstAttribute="trailing" secondItem="x6K-JT-ZMo" secondAttribute="trailing" constant="5" id="cQK-se-IBP"/>
                <constraint firstItem="Ee9-xQ-Q2f" firstAttribute="trailing" secondItem="Yyg-Z1-gy7" secondAttribute="trailing" id="lIp-TU-7D9"/>
                <constraint firstItem="x6K-JT-ZMo" firstAttribute="leading" secondItem="Ee9-xQ-Q2f" secondAttribute="leading" constant="5" id="wvu-Ue-5Aj"/>
                <constraint firstItem="Yyg-Z1-gy7" firstAttribute="top" secondItem="Ee9-xQ-Q2f" secondAttribute="top" id="xTm-UV-FXt"/>
            </constraints>
            <connections>
                <outlet property="btnSubmitReview" destination="3Ff-Fu-4VT" id="Mg1-J5-ds4"/>
                <outlet property="txtview" destination="QZV-bI-dC8" id="hAt-Ej-Mc3"/>
                <outlet property="viewRating" destination="Nan-YW-jMM" id="q3h-Sc-ejn"/>
            </connections>
            <point key="canvasLocation" x="76.811594202898561" y="77.678571428571431"/>
        </view>
    </objects>
    <designables>
        <designable name="Nan-YW-jMM">
            <size key="intrinsicContentSize" width="220" height="40"/>
        </designable>
    </designables>
    <resources>
        <image name="cancel" width="128" height="128"/>
        <image name="fill_star" width="128" height="125"/>
        <image name="star" width="128" height="125"/>
        <namedColor name="blue">
            <color red="0.046999998390674591" green="0.27500000596046448" blue="0.6940000057220459" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <systemColor name="labelColor">
            <color white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
